Commit 74ff3837 authored by Matthieu Dorier's avatar Matthieu Dorier
Browse files

making develop version of mochi libs depend on Argobots 1.0 instead of master

parent 00ad2ad8
......@@ -4,5 +4,4 @@ from spack.pkg.builtin.argobots import Argobots
class Argobots(Argobots):
version('master', branch='main')
version('1.0', sha256="36a0815f7bf99900a9c9c1eef61ef9b3b76aa2cfc4594a304f6c8c3296da8def", preferred=True)
......@@ -39,7 +39,6 @@ class MochiAbtIo(AutotoolsPackage):
version('master', branch='master')
depends_on('argobots@1.0:')
# depends_on('argobots@master', when='@develop')
depends_on('autoconf@2.67:')
depends_on('m4', type=("build"))
depends_on('automake', type=("build"))
......
......@@ -62,6 +62,5 @@ class MochiMargo(AutotoolsPackage):
depends_on('mercury@2.0.0a1:', type=("build", "link", "run"), when='@0.5.2:')
# dependencies for develop version
depends_on('argobots@master', type=("build", "link", "run"), when='@develop')
depends_on('mercury@master', type=("build", "link", "run"), when='@develop')
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment